import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { StaticRouter } from "react-router-dom/server";
import { RuntimeContext, normalizeApp } from "./RuntimeContext";
import RuntimePage from "./RuntimePage";
const ServerRuntime = ({ location, schema }) => {
    return (_jsx(StaticRouter, Object.assign({ location: location }, { children: _jsx(RuntimeContext.Provider, Object.assign({ value: normalizeApp(schema) }, { children: _jsx(RuntimePage, {}) })) })));
};
export default ServerRuntime;
//# sourceMappingURL=ServerRuntime.js.map